# Class `menubar.index_theme`

Class module for parsing an index.theme file

### Info:

- Copyright: 2015 Kazunobu Kuriyama
- Author: Kazunobu Kuriyama

## Methods

menubar.index_theme:new (cls, icon_theme_name, base_directories) | Class constructor of index_theme
menubar.index_theme:get_subdirectories (self) | Table of the values of the `Directories` key
menubar.index_theme:get_inherits (self) | Table of the values of the `Inherits` key
menubar.index_theme:get_per_directory_keys (subdirectory) | Query (part of) per-directory keys of a given subdirectory name.

## Methods

menubar.index_theme:new (cls, icon_theme_name, base_directories)
  Class constructor of index_theme
  - cls table Metatable that will be used. Should always be `index_theme.mt`.
  - icon_theme_name string Internal name of icon theme
  - base_directories table Paths used for lookup

  ### Returns:

  table An instance of the class index_theme
menubar.index_theme:get_subdirectories (self)
  Table of the values of the `Directories` key
  - self

  ### Returns:

  table Values of the `Directories` key
menubar.index_theme:get_inherits (self)
  Table of the values of the `Inherits` key
  - self

  ### Returns:

  table Values of the `Inherits` key
menubar.index_theme:get_per_directory_keys (subdirectory)
  Query (part of) per-directory keys of a given subdirectory name.
  - subdirectory table Icon theme's subdirectory

  ### Returns:

  string Value of the `Type` key

  ### Or

  number Value of the `Size` key

  ### Or

  number VAlue of the `MinSize` key

  ### Or

  number Value of the `MaxSize` key

  ### Or

  number Value of the `Threshold` key

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18